import {
	add,
	AddFunctionOptions,
	ArgumentOutOfRangeError,
	InvalidArgumentTypeError,
} from '@modal-sh/patchouli-core';

export interface AdderService {
	addNumbers(options: AddFunctionOptions): number;
}

export class AdderServiceImpl implements AdderService {
	addNumbers(options: AddFunctionOptions) {
		return add(options);
	}
}

export {
	ArgumentOutOfRangeError,
	InvalidArgumentTypeError,
};
